Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597934 - Not all referenced header files are included
Summary: Not all referenced header files are included
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poco
Version: 13
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Maxim Udushlivy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 03:15 UTC by Stuart Campbell
Modified: 2010-06-08 19:32 UTC (History)
1 user (show)

Fixed In Version: poco-1.3.6p2-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 19:32:24 UTC


Attachments (Terms of Use)

Description Stuart Campbell 2010-05-31 03:15:32 UTC
Description of problem:

Not all the include files are included in the poco-devel package.
For example the expat headers are not included, but are required by some of the other poco headers.


Version-Release number of selected component (if applicable):
poco-devel-1.3.6p2-1.fc13

How reproducible:
All the time

Steps to Reproduce:
1. Write a program that uses ParserEngine.h (or SAXParser.h)
2. Try to compile
  
Actual results:
 Can't find "Poco/XML/expat.h"

Expected results:
For the program to compile.

Additional info:

Comment 1 Maxim Udushlivy 2010-05-31 07:24:43 UTC
These headers belong to the system libraries and were excluded from poco-devel according to the Fedora packaging policy. Try to compile your program with POCO_UNBUNDLED symbol defined.

Comment 2 Stuart Campbell 2010-06-01 12:32:46 UTC
Thank you - yes that does work.

But, although I understand removing the bundled headers for system packages.  It would make sense to patch the installed poco headers so that they don't rely on files that no longer exist.  Basically, just automatically define the POCO_UNBUNDLED symbol as this will always be the case for Fedora.

Comment 3 Maxim Udushlivy 2010-06-01 19:40:34 UTC
Okay, let's now perform the last test, if you can. Please add a necessary #define to the Foundation/include/Poco/Config.h file and see if it is sufficient. (Also make sure that the application fails to compile without that line.)

Comment 4 Stuart Campbell 2010-06-01 20:25:57 UTC
Yes, that seems to work a treat.

Thank  you.

Comment 5 Fedora Update System 2010-06-02 17:24:16 UTC
poco-1.3.6p2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/poco-1.3.6p2-2.fc13

Comment 6 Fedora Update System 2010-06-03 18:04:16 UTC
poco-1.3.6p2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update poco'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/poco-1.3.6p2-2.fc13

Comment 7 Fedora Update System 2010-06-08 19:32:20 UTC
poco-1.3.6p2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.